#110 Parcellite not starting in latest ubuntu 13.10

Development_Version
closed-remind
nobody
4
2015-08-27
2013-11-21
No

I have the latest ubuntu version, 13.10
I installed the default parcellite that comes from ubuntu software center.

And when i click on the parcellite icon nothing happens.
If i try from terminal i get :

sudo parcellite
Unable to access XDG_SESSION_COOKIE for pid 8196
Unable to access XDG_SESSION_COOKIE for pid 1598

Related

Bugs: #110

Discussion

  • rickyrockrat

    rickyrockrat - 2013-11-21

    1) Parcellite is run by the normal user (no root). It can't access the session cookie because root is not logged in.
    2) If you did run parcellite wile another instance is running, it will just dump the clip entry (see the manual)
    3) I don't have an rc (see instructions for submitting bugs)
    4) describe, in detail the kind of click (left, right), if you used the hotkeys (ctrl-alt-h, ctrl-alt-p, etc) see the man page.

     
    Last edit: rickyrockrat 2013-11-21
  • Badita Florin

    Badita Florin - 2013-11-21

    What hotkeys ? I click on the icon that the aplication created. Parcelitte
    and nothing happens.

    i dont know if is working, i dont know if is not working.

    I don`t get any visual feedback to tell me what should i do next.

    On Thu, Nov 21, 2013 at 5:02 PM, rickyrockrat rickyrockrat@users.sf.netwrote:

    1) Parcellite is run by the normal user. It can't access the session
    cookie because root is not logged in.
    2) If you did run parcellite with another instance, it will just dump the
    clip entry (see the manual)
    3) I don't have an rc (see instructions for submitting bugs)
    4) describe, in detail the kind of click, if you used the hotkeys, etc.


    Status: open
    Labels: not starting
    Created: Thu Nov 21, 2013 09:10 AM UTC by Badita Florin
    Last Updated: Thu Nov 21, 2013 09:11 AM UTC
    Owner: nobody

    I have the latest ubuntu version, 13.10
    I installed the default parcellite that comes from ubuntu software center.

    And when i click on the parcellite icon nothing happens.
    If i try from terminal i get :

    sudo parcellite
    Unable to access XDG_SESSION_COOKIE for pid 8196
    Unable to access XDG_SESSION_COOKIE for pid 1598

    vivi@vivi-X55SV:~$ set 2>&1|grep -v
    "SSH\|CVS\|SVN\|USER\|UID=\|HOME=\|HIST"
    BASH=/bin/bash

    BASHOPTS=checkwinsize:cmdhist:expand_aliases:extglob:extquote:force_fignore:histappend:interactive_comments:progcomp:promptvars:sourcepath
    BASH_ALIASES=()
    BASH_ARGC=()
    BASH_ARGV=()
    BASH_CMDS=()
    BASH_COMPLETION_COMPAT_DIR=/etc/bash_completion.d
    BASH_LINENO=()
    BASH_SOURCE=()
    BASH_VERSINFO=([0]="4" [1]="2" [2]="45" [3]="1" [4]="release" [5]
    ="i686-pc-linux-gnu")
    BASH_VERSION='4.2.45(1)-release'
    CLUTTER_IM_MODULE=xim
    COLORTERM=gnome-terminal
    COLUMNS=150
    COMPIZ_BIN_PATH=/usr/bin/
    COMPIZ_CONFIG_PROFILE=ubuntu
    DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-eMw43A1dp9
    DEFAULTS_PATH=/usr/share/gconf/ubuntu.default.path
    DESKTOP_SESSION=ubuntu
    DIRSTACK=()
    DISPLAY=:0
    GDMSESSION=ubuntu
    GDM_LANG=en_US
    GNOME_DESKTOP_SESSION_ID=this-is-deprecated
    GNOME_KEYRING_CONTROL=/run/user/1000/keyring-DOdkdR
    GPG_AGENT_INFO=/run/user/1000/keyring-DOdkdR/gpg:0:1
    GROUPS=()
    GTK_IM_MODULE=ibus
    GTK_MODULES=overlay-scrollbar:unity-gtk-module
    HOSTNAME=vivi-X55SV
    HOSTTYPE=i686
    IFS=$' \t\n'
    IM_CONFIG_PHASE=1
    INSTANCE=
    JOB=dbus
    LANG=en_US.UTF-8
    LANGUAGE=en_US
    LC_ADDRESS=ro_RO.UTF-8
    LC_IDENTIFICATION=ro_RO.UTF-8
    LC_MEASUREMENT=ro_RO.UTF-8
    LC_MONETARY=ro_RO.UTF-8
    LC_NAME=ro_RO.UTF-8
    LC_NUMERIC=ro_RO.UTF-8
    LC_PAPER=ro_RO.UTF-8
    LC_TELEPHONE=ro_RO.UTF-8
    LC_TIME=ro_RO.UTF-8
    LESSCLOSE='/usr/bin/lesspipe %s %s'
    LESSOPEN='| /usr/bin/lesspipe %s'
    LINES=46
    LOGNAME=vivi
    MACHTYPE=i686-pc-linux-gnu
    MAILCHECK=60
    MANDATORY_PATH=/usr/share/gconf/ubuntu.mandatory.path
    OPTERR=1
    OPTIND=1
    OSTYPE=linux-gnu

    PATH=/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
    PIPESTATUS=([0]="0")
    PPID=8044
    PS1='[\e]0;\u@\h: \w\a]${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
    PS2='> '
    PS4='+ '
    PWD=/home/vivi
    QT4_IM_MODULE=xim
    SESSION=ubuntu
    SESSIONTYPE=gnome-session
    SESSION_MANAGER=local/vivi-X55SV:@
    /tmp/.ICE-unix/1323,unix/vivi-X55SV:/tmp/.ICE-unix/1323
    SHELL=/bin/bash

    SHELLOPTS=braceexpand:emacs:hashall:histexpand:history:interactive-comments:monitor
    SHLVL=1
    TERM=xterm
    TEXTDOMAIN=im-config
    TEXTDOMAINDIR=/usr/share/locale/
    UBUNTU_MENUPROXY=1
    UPSTART_EVENTS='started xsession'
    UPSTART_INSTANCE=
    UPSTART_JOB=gnome-session
    UPSTART_SESSION=unix:abstract=/com/ubuntu/upstart-session/1000/1089
    VTE_VERSION=3406
    WINDOWID=90177543
    XAUTHORITY=/home/vivi/.Xauthority
    XDG_CONFIG_DIRS=/etc/xdg/xdg-ubuntu:/usr/share/upstart/xdg:/etc/xdg
    XDG_CURRENT_DESKTOP=Unity

    XDG_DATA_DIRS=/usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/
    XDG_MENU_PREFIX=gnome-
    XDG_RUNTIME_DIR=/run/user/1000
    XDG_SEAT=seat0
    XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
    XDG_SESSION_ID=c1
    XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
    XDG_VTNR=7
    XMODIFIERS=@im=ibus

    vivi@vivi-X55SV:~$

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/parcellite/bugs/110/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #110


    Last edit: rickyrockrat 2014-01-05
  • rickyrockrat

    rickyrockrat - 2014-01-04

    Please do this:
    ps aux|grep parcellite
    user 2233 0.0 0.0 151652 8988 ? S 11:17 0:04 parcellite
    kill 2223
    parcellite &
    Then send me the output. FYI - If you close the terminal where the above command was run, you will shutdown parcellite too.

    user is not a command, just the output from the ps aux. In your case is is vivi, and the pid (process ID) to kill is 2041.

    I wanted you to kill the running instance of parcellite, then start it again to see the output.

    When you do Ctrl-Alt-H, does the history come up?
    when you run parcellite, no sudo, i.e.:
    parcellite
    what do you see?

    One more thing to check, please post the output of:
    ps aux|grep indicator

    Thanks

     
    Last edit: rickyrockrat 2014-01-05
    • Badita Florin

      Badita Florin - 2014-01-05

      ps aux|grep parcellite
      vivi 2041 0.1 0.4 115712 8392 ? Sl ian04 1:11 parcellite
      vivi 7365 0.0 0.0 5924 856 pts/0 S+ 06:32 0:00 grep
      --color=auto parcellite

      But after that when i try with user i do not have it, so not clear what
      command should i use

      user vivi 2233 0.0 0.0 151652 8988 ? S 11:17 0:04 parcellite
      No command 'user' found, did you mean:
      Command 'fuser' from package 'psmisc' (main)
      Command 'kuser' from package 'kuser' (universe)
      Command 'userv' from package 'userv' (universe)
      Command 'users' from package 'coreutils' (main)

       
      Last edit: rickyrockrat 2014-02-19
  • rickyrockrat

    rickyrockrat - 2014-02-19

    The command I meant was
    kill 2041
    (The number right after your user name, vivi with parcellite on the end)
    Can you send me the output of:
    ps aux|grep indicator
    Thanks

     
  • rickyrockrat

    rickyrockrat - 2014-04-06
    • status: open --> pending-out-of-date
    • Priority: 8 --> 4
     
  • rickyrockrat

    rickyrockrat - 2015-08-27
    • status: pending-out-of-date --> closed-remind
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks